=== debian/changelog ===
ros-foxy-system-metrics-collector (0.1.1-1focal) focal; urgency=high

  * Fix test_subscriber_topic_statistics being referenced out of scope causing colcon build with flag -DBUILD_TESTING=0 to fail. (#175 <https://github.com/ros-tooling/system_metrics_collector/issues/175>) (#176 <https://github.com/ros-tooling/system_metrics_collector/issues/176>)
  * Contributors: Jaison Titus

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 02 Sep 2020 00:00:00 -0000

ros-foxy-system-metrics-collector (0.1.0-1focal) focal; urgency=high

  * Bump package version to 0.1.0 (#170 <https://github.com/ros-tooling/system_metrics_collector/issues/170>)
  * Allow topic statistics to subscribe to multiple topics (#143 <https://github.com/ros-tooling/system_metrics_collector/issues/143>)
  * Add topic statistics executable, launch file and e2e test (#125 <https://github.com/ros-tooling/system_metrics_collector/issues/125>)
  * Move metrics_statistics_msgs to rcl_interfaces (#135 <https://github.com/ros-tooling/system_metrics_collector/issues/135>)
  * Add DummyMessage talker node and launch file for it (#119 <https://github.com/ros-tooling/system_metrics_collector/issues/119>)
  * Fix test subscriber failures (#126 <https://github.com/ros-tooling/system_metrics_collector/issues/126>)
  * Move message generation function to libstatistics_collector (#122 <https://github.com/ros-tooling/system_metrics_collector/issues/122>)
  * Replace IMU messages with new dummy messages (#121 <https://github.com/ros-tooling/system_metrics_collector/issues/121>)
  * Add SubscriberTopicStatisticsNode and tests (#112 <https://github.com/ros-tooling/system_metrics_collector/issues/112>)
  * Create libstatistics_collector package (#117 <https://github.com/ros-tooling/system_metrics_collector/issues/117>)
  * Add statistic name and unit interfaces (#115 <https://github.com/ros-tooling/system_metrics_collector/issues/115>)
  * Use rcutils_time_point_value_t instead of rclcpp::Time (#113 <https://github.com/ros-tooling/system_metrics_collector/issues/113>)
  * Remove deprecated launch params (#109 <https://github.com/ros-tooling/system_metrics_collector/issues/109>)
  * Add message age collector class (#106 <https://github.com/ros-tooling/system_metrics_collector/issues/106>)
  * Refactor Linux process CPU measurement tests (#107 <https://github.com/ros-tooling/system_metrics_collector/issues/107>)
  * Dabonnie/fix cpu measurement test (#102 <https://github.com/ros-tooling/system_metrics_collector/issues/102>)
  * Move common test utilities (#101 <https://github.com/ros-tooling/system_metrics_collector/issues/101>)
  * Refactor Linux memory measurement tests (#100 <https://github.com/ros-tooling/system_metrics_collector/issues/100>)
  * Cleanup package.xml dependencies (#97 <https://github.com/ros-tooling/system_metrics_collector/issues/97>)
  * Add received message period measurement (#94 <https://github.com/ros-tooling/system_metrics_collector/issues/94>)
  * Fix relative #include paths (#95 <https://github.com/ros-tooling/system_metrics_collector/issues/95>)
  * Add test for collector state (#93 <https://github.com/ros-tooling/system_metrics_collector/issues/93>)
  * Move stateless method to free function (#92 <https://github.com/ros-tooling/system_metrics_collector/issues/92>)
  * Add e2e test workflow (#88 <https://github.com/ros-tooling/system_metrics_collector/issues/88>)
  * Fix uncrustify linting (#89 <https://github.com/ros-tooling/system_metrics_collector/issues/89>)
  * Add e2e test (#86 <https://github.com/ros-tooling/system_metrics_collector/issues/86>)
  * Add unit information to MetricsMessage (#85 <https://github.com/ros-tooling/system_metrics_collector/issues/85>)
  * Clarify that the main executable is an example (#84 <https://github.com/ros-tooling/system_metrics_collector/issues/84>)
  * Dabonnie/readme update (#82 <https://github.com/ros-tooling/system_metrics_collector/issues/82>)
  * Add example launch file (#81 <https://github.com/ros-tooling/system_metrics_collector/issues/81>)
  * Add configurable launch parameters (#80 <https://github.com/ros-tooling/system_metrics_collector/issues/80>)
  * Update README.md (#79 <https://github.com/ros-tooling/system_metrics_collector/issues/79>)
  * Dabonnie/add documentation (#77 <https://github.com/ros-tooling/system_metrics_collector/issues/77>)
  * Add unit test for composeability of nodes (#76 <https://github.com/ros-tooling/system_metrics_collector/issues/76>)
  * Make LinuxProcessCpuMeasurementNode and LinuxProcessMemoryMeasurementNode composeable (#67 <https://github.com/ros-tooling/system_metrics_collector/issues/67>)
  * Added some doc (#75 <https://github.com/ros-tooling/system_metrics_collector/issues/75>)
  * Refactor PeriodicMeasurementNode to inherit from LifecycleNode (#72 <https://github.com/ros-tooling/system_metrics_collector/issues/72>)
  * Use rclcpp::NodeOptions during node construction (#73 <https://github.com/ros-tooling/system_metrics_collector/issues/73>)
  * Add input argument checking to PeriodicMeasurementNode (#69 <https://github.com/ros-tooling/system_metrics_collector/issues/69>)
  * Add process CPU usage measurement node (#59 <https://github.com/ros-tooling/system_metrics_collector/issues/59>)
  * Fix linting issues (#54 <https://github.com/ros-tooling/system_metrics_collector/issues/54>)
  * Add launch file to launch system CPU and Memory collector nodes (#63 <https://github.com/ros-tooling/system_metrics_collector/issues/63>)
  * Replace test method with implementation (#62 <https://github.com/ros-tooling/system_metrics_collector/issues/62>)
  * Add process CPU usage measurement dependencies (#57 <https://github.com/ros-tooling/system_metrics_collector/issues/57>)
  * Follow variable naming conventions of ROS2 style guide (#56 <https://github.com/ros-tooling/system_metrics_collector/issues/56>)

