=== debian/control ===
Source: ros-foxy-system-metrics-collector
Section: misc
Priority: optional
Maintainer: ROS Tooling Working Group <ros-tooling@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), python3-retrying, ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-class-loader, ros-foxy-libstatistics-collector, ros-foxy-lifecycle-msgs, ros-foxy-message-filters, ros-foxy-rcl, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rclcpp-lifecycle, ros-foxy-rclpy, ros-foxy-rcpputils, ros-foxy-rcutils, ros-foxy-ros2launch, ros-foxy-ros2lifecycle, ros-foxy-ros2topic, ros-foxy-rosidl-default-generators, ros-foxy-statistics-msgs, ros-foxy-std-msgs, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-system-metrics-collector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-demo-nodes-cpp, ros-foxy-libstatistics-collector, ros-foxy-message-filters, ros-foxy-rcl, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rclcpp-lifecycle, ros-foxy-rcpputils, ros-foxy-rcutils, ros-foxy-rosidl-default-runtime, ros-foxy-statistics-msgs, ros-foxy-std-msgs, ros-foxy-ros-workspace
Description: Node and aggregation utilities to measure and publish system metrics.
